<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Eryph.GuestServices.HvDataExchange.Guest</name>
    </assembly>
    <members>
        <member name="M:Eryph.GuestServices.HvDataExchange.Guest.IGuestDataExchange.GetExternalDataAsync">
            <summary>
            Gets the external data of this virtual machine.
            </summary>
            <remarks>
            This data is stored in <c>Virtual Machine\External</c> pool
            of the Hyper-V data exchange.
            </remarks>
        </member>
        <member name="M:Eryph.GuestServices.HvDataExchange.Guest.IGuestDataExchange.GetGuestDataAsync">
            <summary>
            Gets the guest data of this virtual machine.
            </summary>
            <remarks>
            This data is stored in <c>Virtual Machine\Guest</c> pool
            of the Hyper-V data exchange.
            </remarks>
        </member>
        <member name="M:Eryph.GuestServices.HvDataExchange.Guest.IGuestDataExchange.SetGuestValuesAsync(System.Collections.Generic.IReadOnlyDictionary{System.String,System.String})">
            <summary>
            Sets the given <paramref name="values"/> in the guest data
            of this virtual machine. When the value is <see langword="null"/>,
            the key is removed from the guest data.
            </summary>
            <remarks>
            This data is stored in <c>Virtual Machine\Guest</c> pool
            of the Hyper-V data exchange.
            </remarks>
        </member>
        <member name="F:Eryph.GuestServices.HvDataExchange.Guest.LinuxGuestDataExchange.MaxKeySize">
            <summary>
            The maximum size of a key. Defined by <c>HV_KVP_EXCHANGE_MAX_KEY_SIZE</c>.
            </summary>
        </member>
        <member name="F:Eryph.GuestServices.HvDataExchange.Guest.LinuxGuestDataExchange.MaxValueSize">
            <summary>
            The maximum size of a value. Defined by <c>HV_KVP_EXCHANGE_MAX_VALUE_SIZE</c>.
            </summary>
        </member>
    </members>
</doc>
